API Reference for Marketo Engage

Delete Token by Name

POST /rest/asset/v1/folder/{id}/tokens/delete.json

Deletes a token with the given name from the parent folder.

Operation ID
deleteTokenByNameUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfIdResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · DeleteTokenRequest · 3 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

folderType string

Values Program Folder

name string
type string

Responses

200 OK ResponseOfIdResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of IdResponse

Model IdResponse

id integer (int32) required

Id of the asset

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results